org.apache.sling.scripting.thymeleaf.internal

## Class SlingTemplateResource

- java.lang.Object
- - org.apache.sling.scripting.thymeleaf.internal.SlingTemplateResource

All Implemented Interfaces:
  org.thymeleaf.templateresource.ITemplateResource

    public class SlingTemplateResource
    extends Object
    implements org.thymeleaf.templateresource.ITemplateResource

### Constructor Summary

Constructors
Constructor and Description
`SlingTemplateResource(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `exists()`
`String` `getBaseName()`
`String` `getDescription()`
`Reader` `reader()`
`org.thymeleaf.templateresource.ITemplateResource` `relative(String relativeLocation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SlingTemplateResource

    public SlingTemplateResource(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getDescription

    public String getDescription()

Specified by:
  `getDescription` in interface `org.thymeleaf.templateresource.ITemplateResource`

#### getBaseName

    public String getBaseName()

Specified by:
  `getBaseName` in interface `org.thymeleaf.templateresource.ITemplateResource`

#### exists

    public boolean exists()

Specified by:
  `exists` in interface `org.thymeleaf.templateresource.ITemplateResource`

#### reader

    public Reader reader()
                  throws IOException

Specified by:
  `reader` in interface `org.thymeleaf.templateresource.ITemplateResource`
Throws:
  `IOException`

#### relative

    public org.thymeleaf.templateresource.ITemplateResource relative(String relativeLocation)

Specified by:
  `relative` in interface `org.thymeleaf.templateresource.ITemplateResource`